<?php

namespace Database\Seeders;

use App\Models\LeadStage;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class LeadStageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        LeadStage::truncate();
        // Array of lead stage names
        $leadStages = [
            'New Lead',
            'Need Analysis',
            'Attempted to Contact',
            'Introductory Meeting',
            'Contacted',
            'Qualified',
            'Unqualified',
        ];

        // Loop through each name and create a LeadStage entry
        foreach ($leadStages as $stage) {
            LeadStage::create([
                'name' => $stage
            ]);
        }
    }
}
